commit:     9b1e9a6c21bd2f275e316be4664729216648f65c
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 25 20:03:45 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed Jan 25 23:05:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b1e9a6c

games-action/heroes: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../heroes/files/0.21-cvs-segfault-fix.patch       |  4 +-
 games-action/heroes/files/heroes-0.21-gcc4.patch   |  4 +-
 .../heroes/files/heroes-0.21-underlink.patch       |  4 +-
 games-action/heroes/heroes-0.21-r2.ebuild          | 74 ++++++++++++++++++++++
 4 files changed, 80 insertions(+), 6 deletions(-)

diff --git a/games-action/heroes/files/0.21-cvs-segfault-fix.patch 
b/games-action/heroes/files/0.21-cvs-segfault-fix.patch
index 99f7706..689fdee 100644
--- a/games-action/heroes/files/0.21-cvs-segfault-fix.patch
+++ b/games-action/heroes/files/0.21-cvs-segfault-fix.patch
@@ -3,8 +3,8 @@ RCS file: /cvsroot/heroes/heroes/src/menus.c,v
 retrieving revision 1.108.2.1
 retrieving revision 1.108.2.2
 diff -u -r1.108.2.1 -r1.108.2.2
---- heroes/heroes/src/menus.c  2002/06/16 19:16:09     1.108.2.1
-+++ heroes/heroes/src/menus.c  2002/08/22 11:45:51     1.108.2.2
+--- a/src/menus.c      2002/06/16 19:16:09     1.108.2.1
++++ b/src/menus.c      2002/08/22 11:45:51     1.108.2.2
 @@ -219,7 +219,8 @@
    { N_("NEW LEVEL"),  editor_menu },
    /* TRANS: Load an existing level for edition.  */

diff --git a/games-action/heroes/files/heroes-0.21-gcc4.patch 
b/games-action/heroes/files/heroes-0.21-gcc4.patch
index 573db41..2e39907 100644
--- a/games-action/heroes/files/heroes-0.21-gcc4.patch
+++ b/games-action/heroes/files/heroes-0.21-gcc4.patch
@@ -1,5 +1,5 @@
---- src/hedlite.c.old  2006-01-28 14:05:05.000000000 -0700
-+++ src/hedlite.c      2006-01-28 14:07:20.000000000 -0700
+--- a/src/hedlite.c    2006-01-28 14:05:05.000000000 -0700
++++ b/src/hedlite.c    2006-01-28 14:07:20.000000000 -0700
 @@ -45,7 +45,7 @@
  #include "dirname.h"
  

diff --git a/games-action/heroes/files/heroes-0.21-underlink.patch 
b/games-action/heroes/files/heroes-0.21-underlink.patch
index 4b805ae..18a0fca 100644
--- a/games-action/heroes/files/heroes-0.21-underlink.patch
+++ b/games-action/heroes/files/heroes-0.21-underlink.patch
@@ -1,5 +1,5 @@
---- src/Makefile.am.old        2011-06-10 11:32:03.905618275 +0200
-+++ src/Makefile.am    2011-06-10 11:32:15.539347083 +0200
+--- a/src/Makefile.am  2011-06-10 11:32:03.905618275 +0200
++++ b/src/Makefile.am  2011-06-10 11:32:15.539347083 +0200
 @@ -42,7 +42,7 @@
  heroeslvl_SOURCES = heroeslvl.c
  

diff --git a/games-action/heroes/heroes-0.21-r2.ebuild 
b/games-action/heroes/heroes-0.21-r2.ebuild
new file mode 100644
index 00000000..156c659
--- /dev/null
+++ b/games-action/heroes/heroes-0.21-r2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils autotools
+
+data_ver=1.5
+snd_trk_ver=1.0
+snd_eff_ver=1.0
+
+DESCRIPTION="Heroes Enjoy Riding Over Empty Slabs: similar to Tron and Nibbles"
+HOMEPAGE="http://heroes.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2
+       mirror://sourceforge/${PN}/${PN}-data-${data_ver}.tar.bz2
+       mirror://sourceforge/${PN}/${PN}-sound-tracks-${snd_trk_ver}.tar.bz2
+       mirror://sourceforge/${PN}/${PN}-sound-effects-${snd_eff_ver}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="ggi nls sdl"
+RESTRICT="test"
+
+RDEPEND="
+       ggi? ( media-libs/libggi media-libs/libgii media-libs/libmikmod )
+       nls? ( virtual/libintl )
+       sdl? ( media-libs/libsdl media-libs/sdl-mixer )
+       !sdl? ( !ggi? ( media-libs/libsdl media-libs/sdl-mixer ) )"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )"
+
+       #56118
+PATCHES=(
+       "${FILESDIR}/${P}"-automake-1.12.patch
+       "${FILESDIR}/${P}"-gcc4.patch
+       "${FILESDIR}/${P}"-underlink.patch
+       "${FILESDIR}/${PV}"-cvs-segfault-fix.patch
+)
+
+src_prepare() {
+       default
+       sed -i 's:$(localedir):/usr/share/locale:' \
+               $(find . -name 'Makefile.in*') || die
+       eautoreconf
+}
+
+src_configure() {
+       local myconf
+
+       if use sdl || ! use ggi ; then
+               myconf="${myconf} --with-sdl --with-sdl-mixer"
+       else
+               myconf="${myconf} --with-ggi --with-mikmod"
+       fi
+
+       local pkg
+       for pkg in ${A//.tar.bz2} ; do
+               cd "${WORKDIR}"/${pkg}
+               econf \
+                       --disable-heroes-debug \
+                       --disable-optimizations \
+                       $(use_enable nls) \
+                       ${myconf}
+       done
+}
+
+src_install() {
+       local pkg
+       for pkg in ${A//.tar.bz2} ; do
+               cd "${WORKDIR}"/${pkg}
+               emake DESTDIR="${D}" install
+       done
+}

Reply via email to